1. Leads
Veploy API
  • Visão geral
  • Autenticação
  • Limites de requisição
  • Imóveis
    • Listar imóveis
    • Consultar imóvel
    • Cadastrar imóvel
    • Alterar imóvel
    • Excluir imóvel
    • Restaurar imóvel
    • Enviar foto do imóvel (Beta)
    • Remover foto do imóvel (Beta)
    • Listar tipos de imóvel
  • Proprietários
    • Listar proprietários
    • Consultar proprietário
    • Cadastrar proprietário
    • Alterar proprietário
    • Excluir proprietário
  • Leads
    • Listar leads
      GET
    • Consultar lead
      GET
    • Criar lead
      POST
    • Alterar responsável
      POST
    • Atualizar lead
      PATCH
    • Consultar linha do tempo do lead
      GET
  • Visitas
    • Listar visitas
    • Consultar visita
    • Agendar visita
    • Alterar visita
  • Propostas
    • Listar propostas
    • Consultar proposta
    • Registrar proposta
    • Alterar proposta
  • Portais
    • Listar portais
    • Consultar portal
    • Listar imóveis do XML
  • Usuários
    • Listar usuários
    • Consultar usuário
    • Consultar permissões do usuário
    • Convidar usuário
    • Alterar ficha do usuário
    • Desativar usuário
    • Reativar usuário
    • Remover usuário
  • Perfis de acesso
    • Listar perfis de acesso
  • Artigos
    • Listar artigos
    • Criar artigo
    • Consultar artigo
    • Alterar artigo
    • Enviar capa do artigo (Beta)
  • Temas
    • Tema do site
  1. Leads

Listar leads

GET
/v1/leads
Lista os leads visíveis para a chave, ordenados por updated_at e id decrescentes.

Requisição

Authorization
Bearer Token
Forneça seu token bearer no cabeçalho
Authorization
ao fazer requisições para recursos protegidos.
Exemplo:
Authorization: Bearer ********************
or
Parâmetros de Consulta

Respostas

🟢200
application/json
Default Response
Bodyapplication/json

🟠400
🟠401
🟠403
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.veploy.com/v1/leads?page=undefined&per_page=undefined&id=undefined&number=undefined&origin=undefined&form_name=undefined&responsible_id=undefined&created_after=undefined&created_before=undefined&updated_after=undefined&expand=responsible' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Exemplo 1
{
    "data": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "number": 0,
            "title": null,
            "origin": null,
            "form_name": null,
            "tracking": {
                "referrer_url": "http://example.com",
                "landing_page_url": "http://example.com",
                "landed_at": "2019-08-24T14:15:22.123Z",
                "utm": {
                    "source": null,
                    "medium": null,
                    "campaign": null,
                    "term": null,
                    "content": null,
                    "id": null,
                    "source_platform": null,
                    "creative_format": null,
                    "marketing_tactic": null
                },
                "click_ids": {
                    "gclid": null,
                    "gbraid": null,
                    "wbraid": null,
                    "dclid": null,
                    "gad_campaignid": null,
                    "fbclid": null,
                    "msclkid": null,
                    "ttclid": null,
                    "li_fat_id": null,
                    "twclid": null
                },
                "conversion_page_url": "http://example.com",
                "first_touch": {
                    "referrer_url": "http://example.com",
                    "landing_page_url": "http://example.com",
                    "landed_at": "2019-08-24T14:15:22.123Z",
                    "utm": {
                        "source": "string",
                        "medium": "string",
                        "campaign": "string",
                        "term": "string",
                        "content": "string",
                        "id": "string",
                        "source_platform": "string",
                        "creative_format": "string",
                        "marketing_tactic": "string"
                    },
                    "click_ids": {
                        "gclid": "string",
                        "gbraid": "string",
                        "wbraid": "string",
                        "dclid": "string",
                        "gad_campaignid": "string",
                        "fbclid": "string",
                        "msclkid": "string",
                        "ttclid": "string",
                        "li_fat_id": "string",
                        "twclid": "string"
                    }
                },
                "client_ids": {
                    "ga": null,
                    "ga_session": null,
                    "fbp": null,
                    "fbc": null
                }
            },
            "deal_type": "property_acquisition",
            "properties": [
                {
                    "ref": "string",
                    "transaction_type": "sale",
                    "deal_amount": "string"
                }
            ],
            "name": null,
            "phone": null,
            "email": null,
            "message": null,
            "summary": null,
            "summary_updated_at": "2019-08-24T14:15:22.123Z",
            "temperature": "cold",
            "lost_reason": null,
            "custom_fields": {
                "property1": "string",
                "property2": "string"
            },
            "pipelines": [
                {
                    "pipeline_id": null,
                    "name": null,
                    "stage": {
                        "id": null,
                        "name": null,
                        "label": null
                    }
                }
            ],
            "responsible_id": null,
            "responsible": {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "name": "string",
                "email": "string",
                "phone": "string",
                "cpf": "string",
                "creci": "string",
                "birth_date": "string",
                "avatar_url": "string",
                "role": "string",
                "status": "active",
                "lead_distribution_enabled": true,
                "username": "string",
                "invited_at": "2019-08-24T14:15:22.123Z",
                "email_confirmed_at": "2019-08-24T14:15:22.123Z",
                "created_at": "2019-08-24T14:15:22.123Z"
            },
            "observer_ids": [
                "497f6eca-6276-4993-bfeb-53cbbbba6f08"
            ],
            "distribution_group_id": null,
            "origin_lead_id": null,
            "last_activity_at": "2019-08-24T14:15:22.123Z",
            "last_contact_at": "2019-08-24T14:15:22.123Z",
            "last_inbound_at": "2019-08-24T14:15:22.123Z",
            "last_inquiry_at": "2019-08-24T14:15:22.123Z",
            "pool_logged_at": "2019-08-24T14:15:22.123Z",
            "created_at": "2019-08-24T14:15:22.123Z",
            "updated_at": "2019-08-24T14:15:22.123Z"
        }
    ],
    "meta": {
        "pagination": {
            "page": 1,
            "per_page": 1,
            "count": 0,
            "total": 0,
            "total_pages": 0,
            "has_next": true,
            "has_previous": true
        }
    },
    "links": {
        "self": "string",
        "first": null,
        "previous": null,
        "next": null,
        "last": null
    }
}
Modificado em 2026-11-04 18:08:49
Página anterior
Excluir proprietário
Próxima página
Consultar lead
Built with